SigningCertificate (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ess

## Class SigningCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ess.SigningCertificate

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SigningCertificate
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SigningCertificate(ESSCertID essCertID)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ESSCertID[]` | `getCerts()`
    `static SigningCertificate` | `getInstance(java.lang.Object o)`
    `PolicyInformation[]` | `getPolicies()`
    `ASN1Primitive` | `toASN1Primitive()` The definition of SigningCertificate is SigningCertificate ::= SEQUENCE { certs SEQUENCE OF ESSCertID, policies SEQUENCE OF PolicyInformation OPTIONAL } id-aa-signingCertificate OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 12 }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SigningCertificate

          public SigningCertificate(ESSCertID essCertID)

  - ### Method Detail

    - #### getInstance

          public static SigningCertificate getInstance(java.lang.Object o)

    - #### getCerts

          public ESSCertID[] getCerts()

    - #### getPolicies

          public PolicyInformation[] getPolicies()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      The definition of SigningCertificate is

           SigningCertificate ::=  SEQUENCE {
                certs        SEQUENCE OF ESSCertID,
                policies     SEQUENCE OF PolicyInformation OPTIONAL
           }

      id-aa-signingCertificate OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 12 }
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.